<element name="developer" extends="section">
  <template>

    <header>
      <a href="#root"><span class="icon icon-back">Back</span></a>
      <h1 data-l10n-id="developer-header">Developer</h1>
    </header>

    <div>
      <header>
        <h2 data-l10n-id="developer-tools">Developer Tools</h2>
      </header>
      <ul>
        <li>
          <p data-l10n-id="remote-debugging-usb">Debugging via USB</p>
          <span class="button icon icon-dialog">
            <select name="debugger.remote-mode" data-value-type="string">
              <option value="disabled" data-l10n-id="debugger-disabled" selected>Disabled</option>
              <option value="adb-only" data-l10n-id="debugger-adb-only">ADB Only</option>
              <option value="adb-devtools" data-l10n-id="debugger-adb-and-devtools">ADB and DevTools</option>
            </select>
          </span>
        </li>
        <li data-show-name="devtools.remote.wifi.visible" hidden>
          <label class="pack-checkbox">
            <input type="checkbox" name="devtools.remote.wifi.enabled">
            <span data-l10n-id="dev-tools-wifi">DevTools via Wi-Fi</span>
          </label>
        </li>
        <li>
          <button class="icon icon-view" data-href="#developer-hud" data-l10n-id="hud-button">Developer HUD</button>
        </li>
      </ul>
      <header>
        <h2 data-l10n-id="graphics">Graphics</h2>
      </header>
      <ul>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="debug.paint-flashing.enabled">
            <span data-l10n-id="paint-flashing">Flash repainted area</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="apz.force-enable">
            <span data-l10n-id="apz">Async Pan/Zoom</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="apz.overscroll.enabled">
            <span data-l10n-id="apz-overscroll">Overscrolling</span>
          </label>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.enable-tiles">
            <span data-l10n-id="tiling">Tiling</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.simple-tiles">
            <span data-l10n-id="simple-tiling">Simple Tiling</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.composer2d.enabled">
            <span data-l10n-id="hardware-composer">Hardware composer</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.draw-tile-borders">
            <span data-l10n-id="draw-tile-borders">Draw Tile Borders</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.draw-borders">
            <span data-l10n-id="draw-layer-borders">Draw layer borders</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="layers.dump">
            <span data-l10n-id="dumps-layers">Dump layers tree</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="app.cards_view.screenshots.enabled">
            <span data-l10n-id="cards-view-screenshots">Cards View: Screenshots</span>
          </label>
        </li>
      </ul>
      <header>
        <h2 data-l10n-id="window-management">Window Management</h2>
      </header>
      <ul>
        <li id="software-home-button">
          <label class="pack-checkbox">
            <input type="checkbox" name="software-button.enabled">
            <span data-l10n-id="software-home-button">Software home button</span>
          </label>
        </li>
        <li id="homegesture">
          <label class="pack-checkbox">
            <input type="checkbox" name="homegesture.enabled">
            <span data-l10n-id="home-gesture">Home gesture</span>
          </label>
        </li>
        <li id="continuoustransition">
          <label class="pack-checkbox">
            <input type="checkbox" name="continuous-transition.enabled">
            <span data-l10n-id="continuous-transition">Continuous transition</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="app-transition.enabled">
            <span data-l10n-id="app-transition">App transition</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="app-suspending.enabled">
            <span data-l10n-id="app-suspending">App suspending</span>
          </label>
        </li>
      </ul>
      <header>
        <h2 data-l10n-id="debug">Debug</h2>
      </header>
      <ul>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="debug.log-animations.enabled">
            <span data-l10n-id="log-animations">Log slow animations</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="geolocation.debugging.enabled">
            <span data-l10n-id="geolocation-debugging-enabled">Geolocation output in ADB</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="wifi.debugging.enabled">
            <span data-l10n-id="wifi-debugging">Wi-Fi output in ADB</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="bluetooth.debugging.enabled">
            <span data-l10n-id="bluetooth-debugging">Bluetooth output in ADB</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="debug.console.enabled">
            <span data-l10n-id="console-enabled">Console enabled</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="debug.gaia.enabled">
            <span data-l10n-id="debug-gaia-enabled">Gaia debug traces</span>
          </label>
        </li>
        <li>
          <label class="pack-checkbox">
            <input type="checkbox" name="accessibility.show-settings">
            <span data-l10n-id="showA11ySettings">Show accessibility settings</span>
          </label>
        </li>
        <li>
          <button id="ftuLauncher" data-l10n-id="launch-ftu">Launch First Time Use</button>
        </li>
      </ul>
      <header>
        <h2 data-l10n-id="softwareUpdates">Software updates</h2>
      </header>
      <ul>
        <li>
          <p data-l10n-id="update-channel">Update Channel</p>
          <input type="text" name="app.update.channel" dir="auto">
        </li>
        <li>
          <p data-l10n-id="update-url">Update URL</p>
          <input type="text" name="app.update.url" dir="auto">
        </li>
      </ul>
    </div>

    <script src="js/developer.js"></script>

  </template>
</element>
